List blocklist entries
Returns a paginated list of all blocklist entries for the authenticated fin. Optionally filter by creditor account number.
Query Parameters
- Type: integerpagemin:1
Page number to retrieve. Must be a positive integer. Defaults to 1.
- Type: integerpage
_size min:1max:100Number of entries per page. Must be a positive integer, max 100. Defaults to 20.
- Type: stringcreditor
_account Filter entries by creditor account number (partial match supported).
Responses
- application/json
- application/json
- 403
Forbidden (e.g: wrong API Key)
Request Example for get/payins-blocklist
curl 'https://api.shinkansen.finance/v1/payins-blocklist?page=1&page_size=20&creditor_account=646180157042875167' \
--header 'Shinkansen-Api-Key: YOUR_SECRET_TOKEN'
{
"data": [
{
"id": 123,
"criteria": {
"creditor": {
"account_type": "clabe",
"account": "646180157042875167"
}
},
"created_at": "2026-01-21T16:15:00Z"
}
],
"meta": {
"current_page": 1,
"previous_page": null,
"next_page": 2,
"page_size": 20,
"total_count": 42,
"total_pages": 3
}
}